#!/bin/bash
#
#  wrapper pro gtk-mount
#
#  Protože GTK+ 2 používá UTF-8, musí být i celý tento soubor v UTF-8 !
#  Také je potřeba mít vygenerované locales v UTF-8 (nemusejí být default).
#
LANG="${LANG%%.*}.UTF-8"
MOUNT=gtk-mount
OPEN="false"

# kontrola parametru
if [ "$1" == "" ] && ( [ "$2" == "" ] || [ "$2" == "-u" ] )
then
	echo "Usage: $0 devicename [-u]"
	exit
fi

case $1 in
	cdrom)
		m=/mnt/cdrom
		p1="<b>Připojuji CD-ROM do %s</b>"
		p2="<b>Odpojuji CD-ROM z %s</b>"
		e1="<b>Bohužel se nepovedlo připojit CD-ROM</b>"
		e2="<b>Bohužel se nepovedlo odpojit CD-ROM</b>"
		eject="eject /dev/cdrom"
		;;
	*)
		echo "Unknown device \"\" $1"
		exit
esac

if [ "$2" == "" ]
then
	$MOUNT -m "$m" -p "$p1" -e "$e1" && $OPEN "$m"
else
	$MOUNT -u -m "$m" -p "$p2" -e "$e2" && $eject
fi


# vim:encoding=utf8:
